Bug 57211 - gnome-session hangs with "Starting gnome" after login
Summary: gnome-session hangs with "Starting gnome" after login
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gnome-core   
(Show other bugs)
Version: 7.2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-12-06 20:53 UTC by chn65
Modified: 2007-04-18 16:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-07 18:26:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description chn65 2001-12-06 20:53:34 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows 98)

Description of problem:
I installed RH 7.2 with "everything" option.
When starting a GNOME session a not-very-pretty dialog box showing GNOME 
text (arial font) and a small "starting gnome" in the bottom is the only 
thing that appears. Panel doesn't start, icons don't show etc. I have to 
kill gnome-session to do anything (return to login box). KDE works fine, 
WindowMaker works fine, GNOME does not.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. graphical login, choose GNOME session
2. Enter username and password
3. Press OK and gnome-session does nothing.


Actual Results:  The gnome session does not start (nothing happens) but I 
can go to a text login and manually kill the gnome-session program.


Expected Results:  I had expected the GNOME session to start.


Additional info:

It's a brand new machine with AMD DURON CPU 1 GHz, 512MB RAM, 100 GB 
harddrive, Matrox Mystique graphics card, Asus A7V-series motherboard.

Comment 1 Havoc Pennington 2001-12-06 21:30:24 UTC
I've never had a report of this; something is munged.

Is the dialog you're talking about the splash screen? does it have an image in it?

Anything in .xsession-errors during this?

Comment 2 chn65 2001-12-07 09:22:58 UTC
The dialog has no image, just a plain text saying "GNOME".
The .xsession-errors file contains "gnome-upgrade.py: No such file or 
directory", which might be an important clue. But I installed with "everything" 
option, so I wonder why.

The machine has network configured (default gateway and name servers) but is 
NOT plugged into the network.


Comment 3 Havoc Pennington 2001-12-07 18:26:10 UTC
If gnome-upgrade.py isn't there then the install is messed up, or your user
account has issues. That file should be in gnome-core and it should be 
in your PATH; maybe your PATH is wrong?

If you don't have gnome-upgrade.py, maybe try reinstalling gnome-core - but I'm
worried that whatever problem caused it to be missing will cause other weird
stuff as well. 

You might try "rpm --verify" (see "man rpm") to try and verify the integrity of
the install.

Comment 4 Havoc Pennington 2002-02-26 16:19:33 UTC
Some kind of broken installation, AFAICT. Works here.

Will need more info if the report is reopened; the rpm verify output, 
or other investigation into why gnome-upgrade.py is missing, etc.


Note You need to log in before you can comment on or make changes to this bug.